import UnityEngine

class KunoichiAnimation (MonoBehaviour): 
	public walkAnimationSpeedModifier = 2.5
	public runAnimationSpeedModifier = 1.5
	public jumpAnimationSpeedModifier = 2.0
	public jumpLandAnimationSpeedModifier = 3.0
	public hangTimeUntilFallingAnimation = 0.05
	private jumping = false;

	def Start ():
		animation.Stop()
		animation.wrapMode = WrapMode.Loop

		jumpingLayer = 1
		jump = animation["JumpUp"]
		jump.layer = jumpingLayer
		jump.speed *= jumpAnimationSpeedModifier
		jump.wrapMode = WrapMode.Once

		jumpFall = animation["Fall"]
		#jumpFall.wrapMode = WrapMode.ClampForever

		run = animation["Run"]
		run.speed *= runAnimationSpeedModifier

		walk = animation["Walk"]
		walk.speed *= walkAnimationSpeedModifier

	def Update ():
		controller = GetComponent("PlatformerController");
		
		if (controller.GetHangTime() < hangTimeUntilFallingAnimation) :
			if (controller.IsMoving()) :
				if (Input.GetButton ("Fire2")) :
					animation.CrossFade ("Run")
				else:
					animation.CrossFade ("Walk")
		// Go back to idle when not moving
			else:
				animation.CrossFade ("Pause", 0.5)
		// When falling off an edge, after hangTimeUntilFallingAnimation we will fade towards the ledgeFall animation
		else:
			animation.CrossFade ("Fall")
	def DidJump ():
		animation.Play ("JumpUp")
		animation.PlayQueued("Fall")
	def DidLand ():
		animation.Stop("Fall")
		animation.Play("Pause")
		animation.Blend("Pause",0)